This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 487613 - HAL is confused shows every sound card thrice
HAL is confused shows every sound card thrice
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-26 18:22 EST by Lennart Poettering
Modified: 2010-06-28 07:21 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:21:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lennart Poettering 2009-02-26 18:22:27 EST
HAL is really confused here. It now shows every sound card three times in the tree with exactly the same data for each.

udi = '/org/freedesktop/Hal/devices/pci_1274_1371_0_sound_card_0_1'
  info.capabilities = {'sound'} (string list)
  info.category = 'sound'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_1274_1371_0'  (string)
  info.product = 'Ensoniq AudioPCI ENS1371 Sound Card'  (string)
  info.subsystem = 'sound'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_1274_1371_0_sound_card_0_1'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'sound'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1e.0/0000:05:00.0/sound/card5'  (string)
  sound.card = 5  (0x5)  (int)
  sound.card_id = 'Ensoniq AudioPCI ENS1371'  (string)
  sound.originating_device = '/org/freedesktop/Hal/devices/pci_1274_1371_0'  (string)

udi = '/org/freedesktop/Hal/devices/pci_1274_1371_0_sound_card_0_2'
  info.capabilities = {'sound'} (string list)
  info.category = 'sound'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_1274_1371_0'  (string)
  info.product = 'Ensoniq AudioPCI ENS1371 Sound Card'  (string)
  info.subsystem = 'sound'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_1274_1371_0_sound_card_0_2'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'sound'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1e.0/0000:05:00.0/sound/card5'  (string)
  sound.card = 5  (0x5)  (int)
  sound.card_id = 'Ensoniq AudioPCI ENS1371'  (string)
  sound.originating_device = '/org/freedesktop/Hal/devices/pci_1274_1371_0'  (string)

and the same thing once more after this.
Comment 1 Lennart Poettering 2009-02-26 18:34:38 EST
After restarting HAL the issue is gone.

Note sure what caused this. Some other folks were reporting similar issues.
Comment 2 Lennart Poettering 2009-02-26 18:35:36 EST
Hmm I hotplugged some usb sound sound cards a couple of times before this happened, but not the ens1371 -- since it is PCI is not really hotpluggable anyway.
Comment 3 Lennart Poettering 2009-02-26 19:06:09 EST
Oh, and it's not just sound cards btw.

Also see:

https://qa.mandriva.com/show_bug.cgi?id=48281
Comment 4 Scott Glaser 2009-04-23 14:30:49 EDT
Lennart
Have you recently updated your your Rawhide installation? Can you let us know whether the issue is still happening, and give the current version of the HAL packages you're using? You can obtain that information by performing: rpm -qa hal\*


-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Matthias Clasen 2009-04-23 15:07:39 EDT
Lennart, which patch is that Mandriva bug talking about, did you track that down ?
Comment 6 Lennart Poettering 2009-04-23 19:07:39 EDT
Matthias, I guess this is this patch:

http://cgit.freedesktop.org/~dkukawka/hal/commit/?id=999818f10b45cf516dc7e828d2f7e2cbe615cae3

And afaics this is not in our packages. Would be a good idea to include it though.

I am still not provenpackager again, so I cannot commit this. Could someone else please do?
Comment 7 Richard Hughes 2009-04-24 05:54:18 EDT
Lennart, do I need to do this pre-release, or can I just ship an updated hal snapshot as a zero-day update?
Comment 8 Lennart Poettering 2009-04-24 10:52:34 EDT
Dunno how often this issue actually happened.

It's just one simple patch, so it might not be too problematic to do it before the release. OTOH it's not thaaaat important either, so you could do it after the release too. Dunno.
Comment 9 Bug Zapper 2009-06-09 07:41:03 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-04-27 09:03:54 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-06-28 07:21:35 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.